## LOC Get Operation Mode indication LOC Get Operation Mode indication |

## Functions

QmiIndicationLocGetOperationModeOutput * | qmi_indication_loc_get_operation_mode_output_ref ()
void | qmi_indication_loc_get_operation_mode_output_unref ()
gboolean | qmi_indication_loc_get_operation_mode_output_get_operation_mode ()
gboolean | qmi_indication_loc_get_operation_mode_output_get_indication_status ()

## Types and Values

| QmiIndicationLocGetOperationModeOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocGetOperationModeOutput

## Description

## Functions

### qmi_indication_loc_get_operation_mode_output_ref ()

    QmiIndicationLocGetOperationModeOutput *
    qmi_indication_loc_get_operation_mode_output_ref
                                   (QmiIndicationLocGetOperationModeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocGetOperationModeOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_loc_get_operation_mode_output_unref ()

    void
    qmi_indication_loc_get_operation_mode_output_unref
                                   (QmiIndicationLocGetOperationModeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocGetOperationModeOutput. |

Since: 1.22

### qmi_indication_loc_get_operation_mode_output_get_operation_mode ()

    gboolean
    qmi_indication_loc_get_operation_mode_output_get_operation_mode
                                   (QmiIndicationLocGetOperationModeOutput *self,
                                    QmiLocOperationMode *value_operation_mode,
                                    GError **error);

Get the 'Operation Mode' field from `self` .

#### Parameters

self | a QmiIndicationLocGetOperationModeOutput. |
value_operation_mode | a placeholder for the output QmiLocOperationMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_get_operation_mode_output_get_indication_status ()

    gboolean
    qmi_indication_loc_get_operation_mode_output_get_indication_status
                                   (QmiIndicationLocGetOperationModeOutput *self,
                                    QmiLocIndicationStatus *value_indication_status,
                                    GError **error);

Get the 'Indication Status' field from `self` .

#### Parameters

self | a QmiIndicationLocGetOperationModeOutput. |
value_indication_status | a placeholder for the output QmiLocIndicationStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

## Types and Values

### QmiIndicationLocGetOperationModeOutput

    typedef struct _QmiIndicationLocGetOperationModeOutput QmiIndicationLocGetOperationModeOutput;

The QmiIndicationLocGetOperationModeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22